classification
Title: email: minimal header encoding
Type: Stage:
Components: Library (Lib) Versions: Python 2.2
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: barry Nosy List: barry, hatukanezumi, skip.montanaro
Priority: normal Keywords: patch

Created on 2002-12-25 07:47 by hatukanezumi, last changed 2007-08-29 01:35 by skip.montanaro. This issue is now closed.

Files
File name Uploaded Description Edit
PATCHES-email-2.4.3.diff hatukanezumi, 2002-12-25 07:50 email-2.4.3-Header.patch
PATCHES-email-2.4.3.diff hatukanezumi, 2002-12-28 10:19 Updated patch
Messages (3)
msg42100 - (view) Author: IKEDA Soji (hatukanezumi) Date: 2002-12-25 07:47
Most implementations using 'B' header encoding (e.g. for
ISO-2022-JP) encode 'minimal' portions of header value and
do not encode US-ASCII portions as much as possible.
This patch does this.


Current version (2.4.3) of email.Header module encodes
whole of header value.  Though this feature is 
MIME-compliant, especially with 'B' encoding, causes
some difficulty.

For example: Subject prefix of mailing list postings
are usually
written in ASCII characters -- GL part of its charset.
 Encoded
form of subject prefix is not only human-readable but also 
some search, header-rewrite etc. capabilities are forced to
implement preprocessing for decoding.
msg42101 - (view) Author: IKEDA Soji (hatukanezumi) Date: 2002-12-25 07:50
Logged In: YES 
user_id=529503

There's no uploaded file!  You have to check the
checkbox labeled "Check to Upload & Attach File"
when you upload a file.

Please try again.

(This is a SourceForge annoyance that we can do
nothing about. :-( )
msg55400 - (view) Author: Skip Montanaro (skip.montanaro) * (Python triager) Date: 2007-08-29 01:35
Marked as out-of-date.  Might as well close it.
History
Date User Action Args
2007-08-29 01:35:54skip.montanarosetstatus: open -> closed
nosy: + skip.montanaro
messages: + msg55400
2002-12-25 07:47:07hatukanezumicreate